call "C:\OSGeo4W64\bin\o4w_env.bat"
set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" amd64

set FFTW_DLL=%OSGEO4W_ROOT%\bin\libfftw3-3.dll
set FFTW_IMPORTLIB=%~dp0\fftw3.lib
set FFTW_DEF=%~dp0\fftw3.def

for /F "delims=" %%i in ("%FFTW_DLL%") do set FFTW_BASENAME=%%~nxi
echo LIBRARY %FFTW_BASENAME% > %FFTW_DEF%
echo EXPORTS >> %FFTW_DEF%

for /f "usebackq tokens=4,* delims=_ " %%i in (`dumpbin /exports "%FFTW_DLL%"`) do (
  if %%i==fftw echo %%i_%%j >> %FFTW_DEF%
  if %%i==dfftw echo %%i_%%j >> %FFTW_DEF%
  if %%i==DFFTW echo %%i_%%j >> %FFTW_DEF%
  )
  
lib /machine:x64 /def:%FFTW_DEF% /out:%FFTW_IMPORTLIB%